# dkim_close()

[back to index]

SYNOPSIS

    #include <dkim.h>
    void dkim_close(
    	DKIM_LIB *lib
    );

Shut down an instantiation of the DKIM service.

DESCRIPTION

Called When

`dkim_close()` is called shutting down the application. It deallocates all allocated resources having to do with the DKIM library.

It does not deallocate resources associated with any existing `DKIM` handles. Those must be cleaned up first with calls to `dkim_free()`. Failure to do so will almost certainly cause application failure when those handles are used later, even if only to pass them to `dkim_free()`.

ARGUMENTS

Argument | Description
--- | ---
lib | The library handle to be shut down, previously returned from a call to `dkim_init()`.

NOTES

- When this function returns, the data referenced by `lib` is no longer usable.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.